\FORMAT\ SORT=Y
; @(#)us_addr.cls	1.8 4/15/97 20:17:06
;
; Explanation of classes
;
; 0 = NULL word (THE, OF)
; B = Box  (BOX)
; Q = Post  (POST)
; Y = Office  (OFFICE)
; K = FPO APO GENDEL
; L = OLD
; M = Multiunit (APT)
; E = Building type
; F = Floor
; G = Directional modifier (END POINT VIEW) for  EAST END
; C = Cardinal number (ONE TWO)
; O = Ordinal number (FIRST SECOND)
; D = Direction (NORTH)
; T = Street type (ST AV)
; R = Rural route (RR)
; X = Route modifier (US, STATE)
; S = St
; N = Number which may be followed by either an ordinal or a cardinal
;     (FIFTY, SIXTY, etc.)
; Z = Number suffix (TH, ND)
; H = Mile
; J = RURAL, STAR
; I = Comppany suffix (INC., AGENCY)
; A = Abbreviations to expand
; V = State names or abbreviations
; P = used internally
;
BYU               BAYOU         A
BCH               BEACH         A
BND               BEND          A
BLF               BLUFF         A
BLUF              BLUFF         A
BOT               BOTTOM        A
BOTTM             BOTTOM        A
BR                BRANCH        A
BRDGE             BRIDGE        A
BRG               BRIDGE        A
BRK               BROOK         A
CMP               CAMP          A
CP                CAMP          A
CANYN             CANYON        A
CN                CANYON        A
CNYN              CANYON        A
CYN               CANYON        A
CPE               CAPE          A
CNTRL             CENTRAL       A
CLF               CLIFF         A
CLFS              CLIFFS        A
CLB               CLUB          A
COL               COLONEL       A
COR               CORNER        A
CORS              CORNERS       A
CV                COVE          A
CRK               CREEK         A
DL                DALE          A
DIV               DIVIDE        A
DV                DIVIDE        A
EXEC              EXECUTIVE     A
FLLS              FALLS         A
FLS               FALLS         A
FRY               FERRY         A
FLD               FIELD         A
FLDS              FIELDS        A
FLT               FLAT          A
FLTS              FLATS         A
FRD               FORD          A
FRST              FOREST        A
FRK               FORK          A
FRKS              FORKS         A
FRT               FORT          A
FT                FORT          A
FX                FOX           A
GOV               GOVERNOR      A
GT                GREAT         A
GRN               GREEN         A
GROV              GROVE         A
GRV               GROVE         A
HARB              HARBOR        A
HARBR             HARBOR        A
HBR               HARBOR        A
HRBOR             HARBOR        A
HAVN              HAVEN         A
HVN               HAVEN         A
HGHDS             HIGHLANDS     A
HL                HILL          A
HLL               HILL          A
HLLS              HILLS         A
HOLW              HOLLOW        A
HOLWS             HOLLOWS       A
INLT              INLET         A
IS                ISLAND        A
ISS               ISLANDS       A
JFK               "JOHN F KENNEDY"      A
RFK               "ROBERT F KENNEDY"    A
MLK               "MARTIN LUTHER KING"    A
KENNEDY           KENNEDY       A
KY                KEY           A
KYS               KEYS          A
KING              KING          A
KNL               KNOLL         A
KNLS              KNOLLS        A
LK                LAKE          A
LKS               LAKES         A
LNDG              LANDING       A
LNDG              LANDING       A
LNDNG             LANDING       A
LGHT              LIGHT         A
LGT               LIGHT         A
LF                LOAF          A
LCK               LOCKS         A
LCKS              LOCKS         A
LDG               LODGE         A
LDGE              LODGE         A
MLS               MALLS         A
MKT               MARKET        A
MTNG              MEETING       A
MEM               MEMORIAL      A
MEMRL             MEMORIAL      A
MIL               MILITARY      A
MILIT             MILITARY      A
MLTARY            MILITARY      A
MLTRY             MILITARY      A
MISSN             MISSION       A
MSN               MISSION       A
MNT               MOUNT         A
MT                MOUNT         A
MNTAIN            MOUNTAIN      A
MNTN              MOUNTAIN      A
MTN               MOUNTAIN      A
MNTNS             MOUNTAINS     A
NCK               NECK          A
ORCH              ORCHARD       A
ORCHRD            ORCHARD       A
PS                PASS          A
PSS               PASS          A
PNES              PINES         A
PLN               PLAIN         A
PLNS              PLAINS        A
PLEAS             PLEASANT      A
PLSNT             PLEASANT      A
PTS               POINTS        A
PRT               PORT          A
PRTS              PORTS         A
PR                PRAIRIE       A
PRR               PRAIRIE       A
RAD               RADIAL        A
RADIAL            RADIAL        A
RADL              RADIAL        A
RNCH              RANCH         A
RPD               RAPIDS        A
RPDS              RAPIDS        A
RESERV            RESERVATION   A
RESERVATION       RESERVATION   A            800.0
RST               REST          A
RDG               RIDGE         A
RDGE              RIDGE         A
RDGS              RIDGES        A
RIV               RIVER         A
RVR               RIVER         A
SN                SAN           A
SHL               SHOAL         A
SHLS              SHOALS        A
SHR               SHORE         A
SHRS              SHORES        A
SPG               SPRING        A
SPNG              SPRING        A
SPRNG             SPRING        A
SPGS              SPRINGS       A
SPNGS             SPRINGS       A
SPRNGS            SPRINGS       A
STA               STATION       A
STRM              STREAM        A
TOWNHSE           TOWNHOUSE     A
TWNHOUSE          TOWNHOUSE     A
TWNHSE            TOWNHOUSE     A
TUNEL             TUNNEL        A
TUNL              TUNNEL        A
TUNNEL            TUNNEL        A
TUNNL             TUNNEL        A
TUNLS             TUNNELS       A
UN                UNION         A
VALLY             VALLEY        A
VLEY              VALLEY        A
VLLY              VALLEY        A
VLY               VALLEY        A
VLYS              VALLEY        A
VETS              VETERENS      A
VL                VILLE         A
WD                WOOD          A
WLS               WELLS         A
WH                WHITE         A
APARTADO          BOX           B
BOX               BOX           B
BX                BOX           B
PO                PO            B
PSC               PSC           B
DRAWER            "PO BOX"      B
POB               "PO BOX"      B
POUCH             "PO BOX"      B
ZERO              0             C
ONE               1             C
TWO               2             C
THREE             3             C
FOUR              4             C
FIVE              5             C
SIX               6             C
SEVEN             7             C
EIGHT             8             C
NINE              9             C
TEN               10            C
ELEVEN            11            C
TWELVE            12            C
THIRTEEN          13            C
FOURTEEN          14            C
FIFTEEN           15            C
SIXTEEN           16            C
SEVENTEEN         17            C
EIGHTEEN          18            C
NINETEEN          19            C
E                 E             D
EAST              E             D
N                 N             D
NO                N             D
NORTH             N             D
NE                NE            D
NORTHEAST         NE            D            800.0
NORTHWEST         NW            D            800.0
NW                NW            D
S                 S             D
SO                S             D
SOU               S             D
SOUTH             S             D
SOUTN             S             D
SE                SE            D
SOUTHEAST         SE            D            800.0
SOUTHWEST         SW            D            800.0
SW                SW            D
W                 W             D
WEST              W             D
WST               W             D
ACR               ACRES         E
ACRE              ACRES         E
ACRES             ACRES         E
ACRS              ACRES         E
ANEX              ANNX          E
ANNX              ANNX          E
ANX               ANNX          E
APARTMENTS        APTS          E
APTS              APTS          E
ARC               ARC           E
BDG               BLDG          E
BLD               BLDG          E
BLDG              BLDG          E
BLG               BLDG          E
BUILDING          BLDG          E            750.0
EDIFICIO          BLDG          E
CH                CH            E
CHURCH            CH            E
COLL              COLL          E
COLLEGE           COLL          E
CONDO             CONDO         E
CONDOMINIUMS      CONDO         E            800.0
CONDOS            CONDO         E
COOP              COOP          E
CEN               CTR           E
CENTE             CTR           E
CENTER            CTR           E
CENTERS           CTR           E
CENTR             CTR           E
CENTRE            CTR           E
CENTRES           CTR           E
CNTER             CTR           E
CNTR              CTR           E
CTER              CTR           E
CTR               CTR           E
DORM              DORM          E
DORMITORY         DORM          E            800.0
EST               EST           E
ESTATE            EST           E
ESTATES           ESTS          E
ESTS              ESTS          E
GTWY              GTWY          E
GTWAY             GTWY          E
GATEWAY           GTWY          E
GDN               GDNS          E
GDNS              GDNS          E
HARB              HBR           E
HARBOR            HBR           E
HARBR             HBR           E
HBR               HBR           E
HRBOR             HBR           E
HEIGHTS           HTS           E
HGT               HTS           E
HT                HTS           E
HGTS              HTS           E
HTS               HTS           E
HOME              HOME          E
HOTEL             HOTEL         E
HOUSE             HOUSE         E
HSE               HOUSE         E
INN               INN           E
MEWS              MEWS          E
MANOR             MNR           E            800.0
MNR               MNR           E
MANORS            MNR           E
MDWS              MDWS          E
MEADOWS           MDWS          E
MNRS              MNR           E
MOTEL             MOTEL         E
PIER              PIER          E
PLANTATION        PLNT          E            800.0
PLNT              PLNT          E
SCH               SCH           E
SCHOOL            SCH           E
SEM               SEM           E
SEMINARY          SEM           E
SC                SHCTR         E
SH                SHCTR         E
SHOPPING          SHCTR         E
SHPG              SHCTR         E
STATION           STA           E
STATN             STA           E
STN               STN           E
TRAILER           TRLR          E
TRLR              TRLR          E
TOWER             TWR           E
TWR               TWR           E
TOWERS            TWRS          E
TWRS              TWRS          E
UNIV              UNIV          E
UNIVERSITY        UNIV          E
VILL              VLG           E
VILLAGE           VLG           E
VILLG             VLG           E
VLG               VLG           E
VLGS              VLG           E
WAREHOUSE         WHS           E            850.0
WHS               WHS           E
FLOOR             FLR           F            800.0
FLR               FLR           F
END               END           G
VIEW              VIEW          G
VW                VIEW          G
AND               AND           H
AT                AND           H
MI                MI            H
MILE              MI            H
COMPANY           CO            I
INC               INC           I
INCORPORATED      INC           I
RURAL             RR            J
STAR              HC            J
APO               APO           K
CPO               CPO           K
FPO               FPO           K
GENDEL            GENDEL        K
GPO               GPO           K
OLD               OLD           L
NUMBER            #             M
APARTMENT         APT           M            750.0
APT               APT           M
BASEMENT          BSMT          M
BSMNT             BSMT          M
BSMT              BSMT          M
ENTRY             ENTRY         M
LOT               LOT           M
MS                MS            M
PENTHOUSE         PNTH          M            800.0
REAR              REAR          M
RM                RM            M
ROOM              RM            M
SP                SP            M
SPACE             SP            M
STE               STE           M
SUITE             STE           M            800.0
STALL             STLL          M
STLL              STLL          M
UNIT              UNIT          M
TWENTY            2             N
THIRTY            3             N
FORTY             4             N
FIFTY             5             N
SIXTY             6             N
SEVENTY           7             N
EIGHTY            8             N
NINETY            9             N
TENTH             10TH          O
ELEVENTH          11TH          O            800.0
TWELFTH           12TH          O            800.0
THIRTEENTH        13TH          O            800.0
FOURTEENTH        14TH          O            800.0
FIFTEENTH         15TH          O            800.0
SIXTEENTH         16TH          O            800.0
SEVENTEENTH       17TH          O            800.0
EIGHTEENTH        18TH          O            800.0
NINETEENTH        19TH          O            800.0
FIRST             1ST           O
TWENTIETH         20TH          O            800.0
SECOND            2ND           O
THIRTIETH         30TH          O            800.0
THIRD             3RD           O
FORTIETH          40TH          O            800.0
FOURTH            4TH           O
FIFTIETH          50TH          O            800.0
FIFTH             5TH           O
SIXTIETH          60TH          O            800.0
SIXTH             6TH           O
SEVENTIETH        70TH          O            800.0
SEVENTH           7TH           O
EIGHTIETH         80TH          O            800.0
EIGHTH            8TH           O
NINETIETH         90TH          O            800.0
NINTH             9TH           O
GEN               GENDEL        Q
GENERAL           GENDEL        Q
GENL              GENDEL        Q
P                 P             Q
POST              P             Q
HC                HC            R
HCO               HC            R
HCR               HC            R
HWC               HC            R
SR                HC            R
RFD               RR            R
RR                RR            R
ROUTE             RT            R            800.0
ROUTES            RT            R            800.0
RT                RT            R
RTE               RT            R
RTES              RT            R
RTS               RT            R
SRA               SR            R
ST                ST            S
AL                ALY           T
ALLEE             ALY           T
ALLEY             ALY           T            800.0
ALLY              ALY           T
ALY               ALY           T
AVCT              AVCT          T
AVECT             AVCT          T
AVDR              AVDR          T
AVEDR             AVDR          T
AVLN              AVLN          T
AVELN             AVLN          T
AV                AVE           T
AVD               AVE           T
AVE               AVE           T
AVEFLR            AVE           T
AVEN              AVE           T
AVENIDA           AVE           T
AVENUE            AVE           T            800.0
AVNUE             AVE           T
AVEPL             AVPL          T
AVPL              AVPL          T
BD                BLVD          T
BL                BLVD          T
BLV               BLVD          T
BLVD              BLVD          T
BOUL              BLVD          T
BOULEVARD         BLVD          T            790.0
BVD               BLVD          T
BVLD              BLVD          T
BYP               BYP           T
BYPA              BYP           T
BYPAS             BYP           T
BYPASS            BYP           T
CI                CIR           T
CIR               CIR           T
CIRC              CIR           T
CIRCLE            CIR           T            850.0
CORCLE            CIR           T
CR                CIR           T
CRCL              CIR           T
CRCLE             CIR           T
CRL               CIR           T
CALLE             CALLE         T
CLL               CALLE         T
CRES              CRES          T
CRESCENT          CRES          T            800.0
CRESCNT           CRES          T
CRESENT           CRES          T
CRSCNT            CRES          T
COURSE            CRSE          T
CRSE              CRSE          T
CROSSING          XING          T
CRSG              XING          T
CRSSNG            XING          T
XING              XING          T
CAUSEWAY          CSWY          T            800.0
CSWY              CSWY          T
COURT             CT            T            800.0
CRT               CT            T
CT                CT            T
CTAV              CTAV          T
CTAVE             CTAV          T
COURTS            CTS           T
CTS               CTS           T
DR                DR            T
DRIV              DR            T
DRIVE             DR            T            800.0
DRIVES            DR            T
DRUNIT            DR            T
DRV               DR            T
DRVE              DR            T
EPWY              EXPY          T
EX                EXPY          T
EXP               EXPY          T
EXPR              EXPY          T
EXPRESS           EXPY          T
EXPRESSWAY        EXPY          T            800.0
EXPSWY            EXPY          T
EXPW              EXPY          T
EXPWY             EXPY          T
EXPY              EXPY          T
EXWY              EXPY          T
EXY               EXPY          T
XPWY              EXPY          T
XPY               EXPY          T
EXT               EXT           T
EXTENDED          EXT           T
EXTENSION         EXT           T            800.0
EXTN              EXT           T
EXTNSN            EXT           T
EXTS              EXT           T
FREEWAY           FWY           T
FREEWY            FWY           T
FRW               FWY           T
FRWY              FWY           T
FW                FWY           T
FWY               FWY           T
GLEN              GLN           T
GLN               GLN           T
HGHWY             HWY           T
HGHWAY            HWY           T
HGWY              HWY           T
HIGHW             HWY           T
HIGHWAY           HWY           T            800.0
HIWAY             HWY           T
HIWY              HWY           T
HW                HWY           T
HWAY              HWY           T
HWY               HWY           T
HY                HWY           T
JCT               JCT           T
JCTN              JCT           T
JCTNS             JCT           T
JCTS              JCT           T
JUNCTION          JCT           T            800.0
JUNCTIONS         JCT           T            800.0
LA                LN            T
LANE              LN            T            850.0
LN                LN            T
LNE               LN            T
LOOP              LOOP          T
LOOPS             LOOP          T
LP                LOOP          T
MALL              MALL          T
OVAL              OVAL          T
OVL               OVAL          T
OVERPASS          OVPS          T
OVERPS            OVPS          T
OVPS              OVPS          T
OVRPS             OVPS          T
PARK              PARK          T
PARKS             PARK          T
PRK               PARK          T
PASS              PASS          T
PATH              PATH          T
PATHS             PATH          T
PTH               PATH          T
PIKE              PIKE          T
PIKES             PIKE          T
PK                PIKE          T
PKE               PIKE          T
PARKWAY           PKY           T            800.0
PARKWY            PKY           T            800.0
PKW               PKY           T
PKWY              PKY           T
PKY               PKY           T
PRKWAY            PKY           T            800.0
PRKWY             PKY           T
PW                PKY           T
PWY               PKY           T 
PY                PKY           T
PL                PL            T
PLA               PL            T
PLAC              PL            T
PLACE             PL            T            800.0
PLC               PL            T
PLCE              PL            T
PLAZ              PLZ           T            800.0
PLAZA             PLZ           T            800.0
PLZ               PLZ           T
PLZA              PLZ           T
PZ                PLZ           T
PNT               PT            T
POINT             PT            T
PT                PT            T 
PROM              PROM          T
PROMENADE         PROM          T
RAMP              RAMP          T
RD                RD            T
RDBOX             RD            T
RDRR              RD            T
RDS               RD            T
ROAD              RD            T
ROW               ROW           T
RUE               RUE           T
RUN               RUN           T
SKWY              SKWY          T
SKWAY             SKWY          T
SKYWAY            SKWY          T
SQ                SQ            T
SQR               SQ            T
SQRE              SQ            T
SQU               SQ            T
SQUARE            SQ            T            800.0
SQUARES           SQ            T
SUQARES           SQ            T
STAPT             ST            T
STBOX             ST            T
STBX              ST            T
STEET             ST            T
STLOT             ST            T
STPOBOX           ST            T
STR               ST            T
STRD              ST            T
STREET            ST            T            790.0
STREETBOX         ST            T
STREETS           ST            T            790.0
STRFD             ST            T
STRR              ST            T
STRT              ST            T
STCT              STCT          T
STRCT             STCT          T
STDR              STDR          T
STRDR             STDR          T
STLN              STLN          T
STRLN             STLN          T
STPL              STPL          T
STRPL             STPL          T
STRA              STRA          T
STRAV             STRA          T
STRAVE            STRA          T
STRAVEN           STRA          T
STRAVENUE         STRA          T            800.0
STRAVN            STRA          T
TE                TER           T
TER               TER           T
TERR              TER           T
TERRACE           TER           T
TERRCE            TER           T
THROUGHWAY        THWY          T            800.0
THRUWAY           THWY          T
THRUWY            THWY          T
THWY              THWY          T
TNPK              TPKE          T
TPK               TPKE          T
TPKE              TPKE          T
TRNPK             TPKE          T
TURN              TPKE          T
TURNPIKE          TPKE          T
TURNPK            TPKE          T
TRCE              TRCE          T
TRACE             TRCE          T
TL                TRL           T
TR                TRL           T
TRAIL             TRL           T
TRL               TRL           T
TRAFFICWAY        TRFY          T            800.0
TRFY              TRFY          T
UNDERPASS         UNP           T            800.0
UNP               UNP           T
VDCT              VIA           T
VIA               VIA           T
VIADCT            VIA           T
VIADUCT           VIA           T
VIS               VIS           T
VIST              VIS           T
VISTA             VIS           T
VST               VIS           T
VSTA              VIS           T
WALK              WALK          T
WALKS             WALK          T
WK                WALK          T
WAY               WAY           T
WY                WAY           T
CNTY              CORD          X
CO                CORD          X
CORD              CORD          X
CTY               CORD          X
COUNTY            CORD          X
I                 I             X
INTERSTATE        I             X
STATE             STHY          X 
STHY              STHY          X
STHWY             STHY          X
TOWNSHIP          TWHY          X
TWHY              TWHY          X
TWP               TWHY          X
US                USHY          X
USHY              USHY          X
ALABAMA           AL            V           800.0
ALASKA            AK            V
KENTUCKY          KY            V           800.0
NC                NC            V
DELIV             DEL           Y
DELIVERY          DEL           Y
O                 O             Y
OFFICE            O             Y
ND                ND            Z
TH                TH            Z
